## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLAttributesDeclaration

All Known Implementing Classes:
  XMLAttributesDeclarationImpl

public interface XMLAttributesDeclaration

A representation of the model object 'XML Attributes Declaration'.

The following features are supported:

- `Value Function Element`
- `Attribute Decl Item`

See Also:
  `SQLXMLQueryModelPackage.getXMLAttributesDeclaration()`

Method Summary
`EList` `getAttributeDeclItem()` Returns the value of the 'Attribute Decl Item' containment reference list.
`XMLValueFunctionElement` `getValueFunctionElement()` Returns the value of the 'Value Function Element' container reference.
`void` `setValueFunctionElement(XMLValueFunctionElement value)` Sets the value of the '`Value Function Element`' container reference.

Method Detail

### getValueFunctionElement

    public XMLValueFunctionElement getValueFunctionElement()

  Returns the value of the 'Value Function Element' container reference. It is bidirectional and its opposite is '`Attributes Decl`'.

  If the meaning of the 'Value Function Element' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Function Element' container reference.
  See Also:
    `setValueFunctionElement(XMLValueFunctionElement)`, `SQLXMLQueryModelPackage.getXMLAttributesDeclaration_ValueFunctionElement()`, `XMLValueFunctionElement.getAttributesDecl()`

### setValueFunctionElement

    public void setValueFunctionElement(XMLValueFunctionElement value)

  Sets the value of the '`Value Function Element`' container reference.

  Parameters:
    `value` - the new value of the 'Value Function Element' container reference.
  See Also:
    `getValueFunctionElement()`

### getAttributeDeclItem

    public EList getAttributeDeclItem()

  Returns the value of the 'Attribute Decl Item' containment reference list. The list contents are of type `XMLAttributeDeclarationItem`. It is bidirectional and its opposite is '`Attributes Decl`'.

  If the meaning of the 'Attribute Decl Item' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute Decl Item' containment reference list.
  See Also:
    `SQLXMLQueryModelPackage.getXMLAttributesDeclaration_AttributeDeclItem()`, `XMLAttributeDeclarationItem.getAttributesDecl()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.